DyndnsDer Weltweit bekannte Dyndns Anbieter Dyn erschwert den kostenlosen Zugang für seine Kunden. Die meisten Router unterstützten diesen Dienst, der einem eine feste IP-Adresse verleiht. Nutzer von Dyndns müssen sich nun einmal im Monat bei der Seite anmelden, ansonsten verfällt  der  Account. Man kann sich zwar erneut anmelden und seinen Wunschnamen registrieren, aber ob er dann noch frei ist, steht auf einem anderen Blatt.

Vor gut einem Jahr hat der Anbieter den Zugang für Neukunden so eingeschränkt, dass es nur über „Tricks“ möglich war, einen kostenlosen Account zu bekommen. Die nun weitergreifenden Maßnahmen des Unternehmens lassen darauf schließen, dass sie ihren free-Zugang ganz unbrauchbar machen möchten.

Alternativen, die kostenlos oder gegen kleine Gebühren arbeiten, gibt es genug. Die Vergangenheit hat nur gezeigt, dass Dyndns ein sehr zuverlässiger Partner war, und von den meisten Router-Herstellern unterstützt wird.

Für vergessliche oder faule Linux-User gibt es einen Automatismus, der die Anmeldung auf der Webseite automatisch durchführt.

http://blog.stuart.shelton.me/archives/1024

#!/bin/bash
 
LOGIN="****"
PASSWORD="****"
 
COOKIES="/tmp/.dynsdns.cookies.txt"
AL="en-gb"
#UA="Mozilla/5.0 (Macintosh; Intel Mac OS X) AppleWebKit/0.0.0 (KHTML, like Gecko) Version/0.0.0 Safari/0.0.0"
 
POSTURL="$LOGINURL"
 
(( DEBUG )) && DST="-" || DST="/dev/null"
 
[[ -w "$( dirname "$COOKIES" )" ]] || { echo >&2 "FATAL: Cannot write to directory '$( dirname "$COOKIES" )'" ; exit 1; }
 
# Ensure no broken session caching...
if [[ -s "$COOKIES" ]]; then
    [[ -w "$COOKIES" ]] || { echo >&2 "FATAL: Cannot write to file '$COOKIES'" ; exit 1 ; }
    rm -f "$COOKIES" >/dev/null 2>&1
fi
 
(( DEBUG )) && echo >&2 "DEBUG: Fetching initial headers to pre-load cookies..."
curl -b $COOKIES -c $COOKIES -Ikso "$DST" -A "$UA" --url "$LOGINURL"
 
(( DEBUG )) && echo >&2 "DEBUG: Fetching UID..."
VALUE="$(
       curl -b $COOKIES -c $COOKIES -kso - -A "$UA" --url "$LOGINURL" |
       grep -m 1 "multiform" |
       cut -d"'" -f 6
)"
 
(( DEBUG )) && echo >&2 "DEBUG: Read UID as '$VALUE' - posting data..."
curl -b $COOKIES -c $COOKIES -d "username=$LOGIN" -d "password=$PASSWORD" -d "iov_id" -d "multiform=$VALUE" -e "$LOGINURL" -kso "$DST" -A "$UA" --url "$POSTURL"
 
(( DEBUG )) && echo >&2 "DEBUG: Response received - verifying result..."
curl -b $COOKIES -c $COOKIES -e "$POSTURL" -kso - -A "$UA" -H "Accept-Language: $AL" --url "$CHKURL" |
       grep -qE "(Welcome|Hi) $LOGIN"
    && echo "Login successful"
    || { echo >&2 "Login failed" ; exit 1 ; }
 
exit 0

http://dyn.com/

http://www.heise.de/netze/meldung/Dyn-schraenkt-kostenlose-DynDNS-Accounts-weiter-ein-1863537.html

 

 

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.

Diese Website verwendet Akismet, um Spam zu reduzieren. Erfahre mehr darüber, wie deine Kommentardaten verarbeitet werden.